#!/usr/bin/env python
# -*- encoding: utf-8 -*-
'''
@Date:2022/07/29 09:03:39
'''
from flask import Blueprint, jsonify, request
from Common.Utils import Utils
from db_logic.client import BllClient

client_router = Blueprint("client", __name__)


# 查看client列表
@client_router.route("/client_list", methods=["POST"])
def get_client_list():
    data = BllClient().get_all_client_list()
    data_list = Utils.msyql_table_model(data)
    return jsonify(Utils.true_return(data={"data_list": data_list}))
