#!/usr/bin/env python
# -*- encoding: utf-8 -*-
'''
@Date:2022/07/18 16:51:28
'''
import sys
sys.path.append(".")

from db_logic.db_base import Repository
from models.humiture_models import EntityHumitureRecord
# from common.utils import Utils

#日志信息业务逻辑类
class BllHumitureRecord(Repository):
    #_instance_lock = threading.Lock()
    ##实现单例模式
    #def __new__(cls, *args, **kwargs):
    #    if not hasattr(BllHumitureRecord, "_instance"):
    #        with BllHumitureRecord._instance_lock:
    #            if not hasattr(BllHumitureRecord, "_instance"):
    #                BllHumitureRecord._instance = object.__new__(cls)
    #    return BllHumitureRecord._instance

    def __init__(self, entityType=EntityHumitureRecord):
        return super().__init__(entityType)

    # 获取温湿度列表

    def getHumitureList(self, customerId, pageParam):
        queryStr = 'select * from ((select * from rms_humiture_record where client_id=:client_id) '
        queryStr += ' union all (select * from rms_humiture_record where client_id!=:client_id  order by client_name ASC ) )t order by t.record_date DESC '

        queryCountStr = 'select COUNT(*) from ((select * from rms_humiture_record where client_id=:client_id) '
        queryCountStr += ' union all (select * from rms_humiture_record where client_id!=:client_id  order by client_name ASC ) )t order by t.record_date DESC '
        # queryParams = {"clientId": CurrentInfo.ClientInfo.client_id}
        queryParams = {"client_id": customerId}
        templateList = self.execute(queryStr + ' limit ' + str((pageParam.curPage - 1)
                                    * pageParam.pageRows) + ',' + str(pageParam.pageRows), queryParams).fetchall()
        pageParam.totalRecords = self.execute(
            queryCountStr, queryParams).fetchone()[0]
        jsonData = Utils.mysqlTable2Model(templateList)
        return jsonData

    def insert_one(self, entity):
        self.insert(entity)